| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.Maximize

Portability | unportable
Stability | unstable
Maintainer | xmonad#jwebb,sygneca,com

Contents

Usage

Description
Temporarily yanks the focused window out of the layout to mostly fill the screen.
Synopsis

maximize :: LayoutClass l Window => l Window -> ModifiedLayout Maximize l Window
maximizeRestore :: Window -> MaximizeRestore

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.Maximize

Then edit your `layoutHook` by adding the Maximize layout modifier:

     myLayouts = maximize (Tall 1 (3/100) (1/2)) ||| Full ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayouts }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

In the key-bindings, do something like:

            , ((modMask x, xK_backslash), withFocused (sendMessage . maximizeRestore))
            ...

For detailed instruction on editing the key binding see:

XMonad.Doc.Extending.

maximize :: LayoutClass l Window => l Window -> ModifiedLayout Maximize l Window | Source

maximizeRestore :: Window -> MaximizeRestore | Source

Produced by Haddock version 2.4.2